:root {
  --padding-x: 1rem;
  --gap: 6px;
}
.layout {
  max-width: 3200px;
  margin: 0 auto;
}
main {
  --n: 3;
  --aspect-ratio: 1;
  --figure-width: calc((100% - (var(--n) - 1) * var(--gap)) / var(--n));
  --picture-padding: 18px;

  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: var(--gap);
  padding: 0 var(--padding-x);
}
@media (width < 3400px) {
  main {
    --n: 8;
  }
}
@media (width < 3000px) {
  main {
    --n: 7;
  }
}
@media (width < 2600px) {
  main {
    --n: 6;
  }
}
@media (width < 2200px) {
  main {
    --n: 5;
  }
}
@media (width < 1800px) {
  main {
    --n: 4;
  }
}
@media (width < 1400px) {
  main {
    --n: 3;
  }
}
@media (width < 1000px) {
  main {
    --n: 2;
  }
}
figure {
  width: var(--figure-width);
  margin: 0;
  box-sizing: border-box;
  position: relative;
}
picture {
  display: flex;
  width: 100%;
  font-size: 0;
  align-items: center;
  justify-content: center;
  background: var(--picture-background);
  padding: var(--picture-padding);
  padding-bottom: calc(
    (100% - 2 * var(--picture-padding)) /
    var(--aspect-ratio) +
    var(--picture-padding)
  );
  box-sizing: border-box;
  transition: background 1s;
  overflow: hidden;
  position: relative;
}
figure:not(.target-discarded):target picture {
  background: var(--target-picture-background);
}
picture img {
  max-width: calc(100% - 2 * var(--picture-padding));
  max-height: calc(100% - 2 * var(--picture-padding));
  height: auto;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
figcaption {
  display: flex;
  font-size: 0.8rem;
  padding: 0.5em 1em 1em;
}
figcaption.empty {
  padding: 0;
}
figcaption .date {
  color: var(--lighter-color);
  margin-right: 0.2em;
}
figcaption .controls {
  text-align: right;
  margin-top: 1px;
  position: absolute;
  inset: 0 0 auto 0;
}
figcaption .controls a {
  display: inline-block;
  border-radius: 0.25em;
  padding: 0 0.25em 0.05em;
}
